Get all manually added relationships for organization
curl --request GET \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/relationships \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/relationships"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"entityRelationships": [
{
"entity": {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL"
},
"relationships": [
{
"type": "OFFICIAL",
"role": {
"code": "DR",
"description": "Director"
},
"sourceId": "<string>"
}
]
}
]
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Organization Relationships
Get all manually added relationships for organization
Get all manually added relationships for an organization.
GET
/
v2
/
organizations
/
{entityId}
/
relationships
Get all manually added relationships for organization
Authorizations
Api-Keyjwt
Headers
Your API key provided by FrankieOne
Example:
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
Example:
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
Example:
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
Example:
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
Response
Organization Relationships
Was this page helpful?